before_script:
  - 'call "%ProgramFiles(x86)%\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvars32.bat" x86'

build:
  stage: build
  tags:
    - windows
  script:
    - msbuild.exe gameoverlayrenderer_imgui_dx9.sln /m /p:Configuration=Release /p:PlatformToolset=v141
  artifacts:
    paths:
      - bin/Release/gameoverlayrenderer_imgui_dx9.dll